<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$javascript	= array(
		'jquery/jquery-1.8.2.min.js',
		'knockout/knockout-2.2.0.js',
		'knockout/knockout.validation.min.js',
// 		'bootstarp/bootstrap.min.js',
// 		'common/jhelper.js',
// 		'site/setup.js',
		'min/setup.min.js'
	);

	$stylesheet	= array(
		'font-awesome/font-awesome.min.css',
		'bootstrap/bootstrap.min.css',
	);

	$title	= 'Output Time';
?>
<!DOCTYPE html>
<html>
	<head>
		<link rel="icon" type="image/png" href="/favicon.png">
		<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
		<meta content="utf-8" http-equiv="encoding">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<?php
			if (!empty($stylesheet))
			{
				foreach ($stylesheet as $val)
				{
					stylesheet('assets/css/' . $val);
				}
			}

			if (!empty($javascript))
			{
				foreach ($javascript as $val)
				{
					javascript('assets/js/' . $val);
				}
			}
		?>
		<style>
			.navbar-brand {
				height: auto;
			}
			.setup.popover {
				bottom: 5%;
				display: block;
				left: 5%;
				max-height: 90%;
				max-width: 90%;
				right: 5%;
				top: 5%;
			}
			.nm {
				margin: 0px !important;
			}
			.nmlr {
				margin-right: 0px !important;
				margin-left: 0px !important;
			}
			.setup.popover .popover-content {
				height: calc(100% - 67px);
				overflow-x: hidden;
				overflow-y: auto;
			}
			.navbar-nav > li > a, .navbar-brand {
				padding-top: 7px;
				padding-bottom: 7px;
			}
			input:invalid {
				border-color: #FF0000;
			}
			.navbar-default .navbar-nav:not(.navbar-right) li a,
			.navbar-default .navbar-nav:not(.navbar-right) li a:hover,
			.navbar-default .navbar-nav:not(.navbar-right) li a:focus {
				color: #777;
				cursor: default;
			}
			.spinner-icon {
				width: 14px;
				height: 14px;

				border:  solid 2px transparent;
				border-top-color:  #29d;
				border-left-color: #29d;
				border-radius: 10px;

				-webkit-animation: loading-bar-spinner 400ms linear infinite;
				-moz-animation:    loading-bar-spinner 400ms linear infinite;
				-ms-animation:     loading-bar-spinner 400ms linear infinite;
				-o-animation:      loading-bar-spinner 400ms linear infinite;
				animation:         loading-bar-spinner 400ms linear infinite;
			}
			@-webkit-keyframes loading-bar-spinner {
				0%   { -webkit-transform: rotate(0deg);   transform: rotate(0deg); }
				100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
			}
			@-moz-keyframes loading-bar-spinner {
				0%   { -moz-transform: rotate(0deg);   transform: rotate(0deg); }
				100% { -moz-transform: rotate(360deg); transform: rotate(360deg); }
			}
			@-o-keyframes loading-bar-spinner {
				0%   { -o-transform: rotate(0deg);   transform: rotate(0deg); }
				100% { -o-transform: rotate(360deg); transform: rotate(360deg); }
			}
			@-ms-keyframes loading-bar-spinner {
				0%   { -ms-transform: rotate(0deg);   transform: rotate(0deg); }
				100% { -ms-transform: rotate(360deg); transform: rotate(360deg); }
			}
			@keyframes loading-bar-spinner {
				0%   { transform: rotate(0deg);   transform: rotate(0deg); }
				100% { transform: rotate(360deg); transform: rotate(360deg); }
			}
		</style>
		<title><?php echo $title; ?></title>
	</head>
	<body>
		<div id="setup-container" class="">
			<div class="setup popover container">
				<div class="popover-title navbar navbar-default">
					<div class="container-fluid">
						<div class="navbar-header" style="margin-right:10px;>
							<a href="javascript:;" class="navbar-brand" style="padding:0px;">
								<img class="logo" src="<?php echo base_url() . '/assets/logo/logo-64.png'?>" style="display:inline-block;height:40px;width:40px;"/>
								<span><?php echo $title; ?> Installation Wizard <?php echo $installed ? '- Installed' : '<!-- ko if:step()==5 -->- Installed<!-- /ko -->'; ?></span>
							</a>
						</div>
						<?php if (!$installed){ ?>
						<div class="pull-left" style="margin:5px 0 0;" data-bind="if:step()!=5">
							<span class="pull-left badge" data-bind="html:stepText" style="font-size:17px;"></span><?php /* ?>
							<span class="pull-left badge" style="font-size:17px;">&nbsp;
							<!-- ko if:step()==0 -->Step 1 / 5<!-- /ko -->
							<!-- ko if:step()==1 -->Step 2 / 5<!-- /ko -->
							<!-- ko if:step()==2 -->Step 3 / 5<!-- /ko -->
							<!-- ko if:step()==3 -->Step 4 / 5<!-- /ko -->
							<!-- ko if:step()==4 -->Step 5 / 5<!-- /ko -->
							&nbsp;</span><?php */ ?>
							<span class="pull-left" style="margin:3px 0px 0px 15px;" data-bind="if:show_loading">
								<a href="javascript:;">
									<div class="spinner-icon"></div>
								</a>
							</span>
						</div>
						<?php /* ?>
						<div class="navbar-collapse collapse" id="navbar" data-bind="if:step()!=5">
							<ul class="nav navbar-nav">
								<li data-bind="css:{'active':step()==0}">
									<a href="javascript:;">Step1 (PreRequirements)</a>
								</li>
								<li data-bind="css:{'active':step()==1}">
									<a href="javascript:;">Step2 (Database)</a>
								</li>
								<li data-bind="css:{'active':step()==3}">
									<a href="javascript:;">Step3 (Configuration)</a>
								</li>
								<li data-bind="css:{'active':step()==4}">
									<a href="javascript:;">Step4 (Final)</a>
								</li>
								<li data-bind="if:show_loading">
									<a href="javascript:;">
										<div class="spinner-icon"></div>
									</a>
								</li>
							</ul>
<?php /*
							<ul class="nav navbar-nav navbar-right">
								<li class="active"><a href="javascript:;" data-bind="click:prev"><i class="icon icon-arrow-left"></i></a></li>
								<li>&nbsp;</li>
								<li class="active"><a href="javascript:;" data-bind="click:next"><i class="icon icon-arrow-right"></i></a></li>
							</ul>
* / ?>
						</div>
						<?php */ } ?>
					</div>
				</div>
				<div class="popover-content">
					<?php if (!$installed){ ?>
					<div class="fix-it" id="alert_message"></div>
					<!-- ko if:step()==0 -->
					<?php $this->load->view('setup/step1'); ?>
					<!-- /ko -->
					<!-- ko if:step()==1 -->
					<?php $this->load->view('setup/step2'); ?>
					<!-- /ko -->
					<!-- ko if:step()==2 -->
					<?php $this->load->view('setup/step4'); ?>
					<!-- /ko -->
					<!-- ko if:step()==3 -->
					<?php $this->load->view('setup/step3'); ?>
					<!-- /ko -->
					<!-- ko if:step()==4 -->
					<?php $this->load->view('setup/final'); ?>
					<!-- /ko -->
					<!-- ko if:step()==5 -->
					<?php $this->load->view('setup/installed'); ?>
					<!-- /ko -->
					<?php } else { ?>
					<?php $this->load->view('setup/installed'); ?>
					<?php } ?>
				</div>
			</div>
		</div>
	</body>
</html>
<script type="text/javascript">
	$(document).ready(function(){
		OTSetup.siteUrl	= "<?php echo site_url(); ?>";
		OTSetup.isDependent	= <?php echo $isDependent ? 1 : 0; ?>;
		OTSetup.init();
	});
</script>
